%define name	qgis
%define major	0
%define libname %mklibname %name %major
%define __libtoolize /bin/true

Name:         	qgis
Version:        0.5.0
Release:	1mdk
License:	GPL
Group:		Sciences/Geosciences
Source:		%{name}-%{version}.tar.bz2
URL:		http://qgis.sourceforge.net/
Summary:	Quantum GIS is a Geographic Information System for Linux/Unix.
BuildRequires:	qt3-devel grass57 gdal-devel cfitsio-devel ImageMagick
Requires:	%{libname} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
Quantum GIS (QGIS) is designed to be a Geographic Information System (GIS) 
built for Linux/Unix. QGIS will offer support for vector and raster formats. 
Currently QGIS supports shapefiles and PostgreSQL/PostGIS layers.  

Planned features include:

    * Read and edit shapefiles
    * Display georeferenced rasters (tiff, png, geotiff)
    * Plugins to dynamically add new functionality to the application
    * Support for database tables
    * Support for spatially enabled tables in PostgreSQL using PostGIS
    * Map output
    * Script engine
    * Metadata support

%package -n %{libname}
Summary:	Library package for QGIS
License:	GPL
Group:		Sciences/Geosciences

%description -n %{libname}
Library package for QGIS

%package -n %{libname}-devel
Summary:	Development libraries and headers for QGIS
License:	GPL
Group:		Sciences/Geosciences
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Development libraries and headers for QGIS

%prep
%setup -q

%build
export PATH="$PATH:%{_libdir}/qt3/bin"
%configure --with-grass=%{_libdir}/grass57
make
#strip src/qgis

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -size 0 -exec rm -f {} \;

mkdir -p %{buildroot}/%{_menudir}
cat >> %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}):\
command="LD_LIBRARY_PATH=%{_libdir}/grass57/lib GISBASE=%{_libdir}/grass57 %{_bindir}/%{name}" \
icon="%{name}.png" \
needs="x11" \
section="More Applications/Sciences/Geosciences" \
title="Quantum GIS" \
longtitle="Quantum Geographic Information System"
EOF

mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -resize 48x48 %{buildroot}/%{_datadir}/%{name}/images/icons/qgis-icon.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -resize 32x32 %{buildroot}/%{_datadir}/%{name}/images/icons/qgis-icon.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -resize 16x16 %{buildroot}/%{_datadir}/%{name}/images/icons/qgis-icon.png %{buildroot}/%{_miconsdir}/%{name}.png

sed -i -e "s,-L`pwd`/providers/grass ,,g" %{buildroot}/%{_libdir}/%{name}/grassplugin.la

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/gridmaker
#%{_bindir}/gpsimporter
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc AUTHORS BUGS COPYING ChangeLog INSTALL README TODO

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{name}.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_libdir}/*%{name}.so
%{_libdir}/*%{name}.a
%{_libdir}/*%{name}.la
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la
%{_includedir}/%{name}
%{_datadir}/aclocal/%{name}.m4

%changelog
* Tue Oct 05 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-1mdk
- 0.5.0
- set GISBASE in menu as well (make grass support work out-the-box)
- fix libtool file

* Tue Sep 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-2mdk
- add menu, fix files lists, remove empty files, fix all packaging bugs
- introduce to contrib

* Sun Jul 04 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0

* Sun Jun 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.0-1mdk
- First Mandrake package
